Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 616768 - Review Request: gnome-gmail - Make Gmail an option for the default Gnome mail handler
Review Request: gnome-gmail - Make Gmail an option for the default Gnome mail...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Randall "Randy" Berry
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-21 07:52 EDT by Guillaume Kulakowski
Modified: 2014-09-02 08:28 EDT (History)
5 users (show)

See Also:
Fixed In Version: gnome-gmail-1.5.1-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-02 20:34:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
randyn3lrx: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Guillaume Kulakowski 2010-07-21 07:52:04 EDT
Spec URL: http://llaumgui.fedorapeople.org/review/gnome-gmail/gnome-gmail.spec
SRPM URL: http://llaumgui.fedorapeople.org/review/gnome-gmail/gnome-gmail-1.5.1-1.fc13.src.rpm

Description:
This package makes Gmail a choice in the Gnome control panel for the default mail handler. It opens in the default web browser.

rpmlint:
builder@enterprise ~> rpmlint rpmbuild/***.rpm
gnome-gmail.noarch: W: non-conffile-in-etc /etc/gconf/schemas/gnome-gmail.schemas
gnome-gmail.noarch: W: no-manual-page-for-binary gnome-gmail
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
Comment 1 Randall "Randy" Berry 2010-07-21 09:23:06 EDT
================================
Key:

[P] Pass
[F] Fail See [n]
[-] Not applicable
[?] Questions (see comments)

================================

[P]  MUST: rpmlint must be run on every package. The output should be
     posted in the review.

     gnome-gmail.noarch: W: non-conffile-in-etc /etc/gconf/schemas/gnome-
     gmail.schemas
     gnome-gmail.noarch: W: no-manual-page-for-binary gnome-gmail
     2 packages and 0 specfiles checked; 0 errors, 2 warnings.


[P]  MUST: The package must be named according to the Package Naming
     Guidelines.

[P]  MUST: The spec file name must match the base package %{name},
     in the format %{name}.spec unless your package has an exemption.

[P]  MUST: The package must meet the Packaging Guidelines.

[P]  MUST: The package must be licensed with a Fedora approved
     license and meet the Licensing Guidelines.

     GPLv2

[P]  MUST: The License field in the package spec file must match
     the actual license.

     GPLv2

[P]  MUST: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of
     the license(s) for the package must be included in %doc.

[P]  MUST: The spec file must be written in American English.

[P]  MUST: The spec file for the package MUST be legible.

[P]  MUST: The sources used to build the package must match the upstream
     source, as provided in the spec URL. Reviewers should use md5sum for
     this task. If no upstream URL can be specified for this package,
     please see the Source URL Guidelines for how to deal with this.

     4d4825ceba9419a99d53dc47d25887c7  Downloads/gnome-gmail-1.5.1.tgz
     4d4825ceba9419a99d53dc47d25887c7  Downloads/gnome-gmail-1.5.1.tgz(2)

[P]  MUST: The package MUST successfully compile and build into binary
     rpms on at least one primary architecture.

[-]  MUST: If the package does not successfully compile, build or work on
     an architecture, then those architectures should be listed in the spec
     in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug
     filed in bugzilla, describing the reason that the package does not
     compile/build/work on that architecture. The bug number MUST be
     placed in a comment, next to the corresponding ExcludeArch line.

[-]  MUST: All build dependencies must be listed in BuildRequires,
     except for any that are listed in the exceptions section of the
     Packaging Guidelines ; inclusion of those as BuildRequires is
     optional. Apply common sense.

[-]  MUST: The spec file MUST handle locales properly. This is done by
     using the %find_lang macro. Using %{_datadir}/locale/[ ] is strictly
     forbidden.

[-]  MUST: Every binary RPM package (or sub package) which stores shared
     library files (not just symlinks) in any of the dynamic linker's
     default paths, must call ldconfig in %post and %postun.

[-]  MUST: If the package is designed to be relocatable, the packager
     must state this fact in the request for review, along with the
     rationalization for relocation of that specific package.
     Without this, use of Prefix: /usr is considered a blocker.

[P]  MUST: A package must own all directories that it creates. If it does not
     create a directory that it uses, then it should require a package which
     does create that directory. Refer to the Guidelines for examples.

[P]  MUST: A package must not contain any duplicate files in the %files
     listing.

[P]  MUST: Permissions on files must be set properly. Executables should
     be set with executable permissions, for example. Every %files section
     must include a %defattr(...) line.

[P]  MUST: The %clean section is not required for F-13 and above. Each package
     for F-12 and below (or EPEL) MUST have a %clean section, which contains
     rm -rf %{buildroot} (or $RPM_BUILD_ROOT).

     Contains %{__rm} -rf %{buildroot} might suggest just using
     'rm' although to the best of my knowledge this is not a show stopper.

[P]  MUST: Each package must consistently use macros, as described in the
     macros section of Packaging Guidelines.

[P]  MUST: The package must contain code, or permissible content.
     This is described in detail in the code vs. content section
     of Packaging Guidelines.

[-]  MUST: Large documentation files should go in a -doc sub package.
     (The definition of large is left up to the packager's best judgement,
     but is not restricted to size. Large can refer to either size or quantity)

[P]  MUST: If a package includes something as %doc, it must not affect the
     runtime of the application. To summarize: If it is in %doc, the program
     must run properly if it is not present.

[-]  MUST: Header files must be in a -devel package.

[-]  MUST: Static libraries must be in a -static package.

[-]  MUST: Packages containing pkgconfig(.pc) files must 'Requires:
     pkgconfig' (for directory ownership and usability).

[-]  MUST: If a package contains library files with a suffix
     (e.g. libfoo.so.1.1), then library files that end in .so
     (without suffix) must go in a -devel package.

[-]  MUST: In the vast majority of cases, devel packages must require
     the base package using a fully versioned dependency: Requires:
     %{name} = %{version}-%{release}

[-]  MUST: Packages must NOT contain any .la libtool archives,
     these should be removed in the spec.

[-]  MUST: Packages containing GUI applications must include a
     %{name}.desktop file,and that file must be properly installed
     with desktop-file-install in the %install section. This is described
     in detail in the desktop files section of the Packaging Guidelines.
     If you feel that your packaged GUI application does not need a .desktop
     file, you must put a comment in the spec file with your explanation.

[P]  MUST: Packages must not own files or directories already owned by
     other packages. The rule of thumb here is that the first package
     to be installed should own the files or directories that other packages
     may rely upon. This means, for example, that no package in Fedora should
     ever share ownership with any of the files or directories owned by the
     file system or man package. If you feel that you have a good reason to
     own a file or directory that another package owns, then please present
     that at package review time.

[P]  MUST: At the beginning of %install, each package MUST run
     rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).
     (For F12 and EPEL Only)

     Contains %{__rm} -rf %{buildroot} might suggest just using
     'rm' although to the best of my knowledge this is not a show stopper.

[P]  MUST: All file names in rpm packages must be valid UTF-8.

SHOULD Items:

[P]  Should build in mock.
[P]  Should build on all supported archs
[P]  Should function as described.
[P]  Should have sane scriptlets.
[-]  Should have sub packages require base package with fully versioned depend.
[P]  Should have dist tag
[P]  Should package latest version
[P]  Check for outstanding bugs on package. (For core merge reviews)

Issues: None

== APPROVED ==
Comment 2 Guillaume Kulakowski 2010-07-21 10:47:20 EDT
New Package CVS Request
=======================
Package Name: gnome-gmail
Short Description: Make Gmail an option for the default Gnome mail handler
Owners: llaumgui
Branches: F-12 F-13 EL-6
InitialCC:
Comment 3 Kevin Fenzi 2010-07-23 17:44:20 EDT
CVS done (by process-cvs-requests.py).

Remember to assign the review to the reviewer here.
Comment 4 Fedora Update System 2010-07-25 05:59:37 EDT
gnome-gmail-1.5.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gnome-gmail-1.5.1-1.fc13
Comment 5 Fedora Update System 2010-07-25 05:59:44 EDT
gnome-gmail-1.5.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gnome-gmail-1.5.1-1.fc12
Comment 6 Fedora Update System 2010-07-26 22:45:18 EDT
gnome-gmail-1.5.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-gmail'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gnome-gmail-1.5.1-1.fc12
Comment 7 Fedora Update System 2010-07-26 22:56:19 EDT
gnome-gmail-1.5.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-gmail'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gnome-gmail-1.5.1-1.fc13
Comment 8 Fedora Update System 2010-08-02 20:34:02 EDT
gnome-gmail-1.5.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-08-02 20:41:39 EDT
gnome-gmail-1.5.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Guillaume Kulakowski 2014-09-01 09:28:15 EDT
Package Change Request
======================
Package Name: gnome-gmail
New Branches: EL-7
Owners: llaumgui
Comment 11 Gwyn Ciesla 2014-09-02 08:28:02 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.